NI-Motion and LabVIEW Compatibility

Publish Date: Jun 19, 2017 | 0 Ratings | 0.00 out of 5 | Print

Overview

This page shows supported versions of the NI-Motion hardware driver with LabVIEW development systems. Reference this information to ensure you install the correct version when upgrading or updating your system or software. Using incompatible versions may result in errors, missing LabVIEW palettes or functions, or devices and tasks failing to show up in NI Measurement & Automation Explorer (MAX).

Note that this article replaces KnowledgeBase 4WRDJ3WA: Which LabVIEW Version Supports NI-Motion?. Some NI manuals may still reference the previous document. If you were redirected from the previous KnowledgeBase URL, please update your bookmarks accordingly.

1. NI-Motion and LabVIEW Compatibility

 

Use this table to compare NI-Motion and LabVIEW Compatibility
NI-Motion Version LabVIEW Version
2009 2009 SP1 2010 2010 SP1 2011 2011 SP1 2012 2012 SP1 2013 2013 SP1 2014 2014 SP1 2015 2015 SP1 2016 NI Motion Assistant
8.4                               2.8
8.5                               2.8
8.5.1                               2013
14.0                               2014
15.0                               2015
16.0                               2016

 


  Compatible


 

 

The following table is a list of the 6 latest versions of the NI-Motion drivers and the different Windows operating systems with which they are compatible. For information on legacy versions, and an extended range of operating systems, see the attached spreadsheet file, NI-Motion OS Compatibility.xlsx
NI-Motion Version Windows Operating System
Windows Vista Windows 7 Windows 8 Windows 8.1 Windows 10 Windows Server 2008 R2 (64 bit) Windows Server 2012 R2 (64 bit)
8.4              
8.5              
8.5.1              
14.0              
15.0              
16.0              


  Compatible

Back to Top

2. Additional Resources

Back to Top

Bookmark & Share



Ratings

Rate this document

Answered Your Question?
Yes No

Submit